Subject: Re: [PATCH] powerpc/85xx: don't call of_platform_bus_probe() twice

From: Timur Tabi <[email-masked]>
Date: Tue, 27 Mar 2012 13:18:10 -0500

Grant, do you have a moment to consider my question?  Like I said, I'm
anxious to get a fix into 3.3.

Timur Tabi wrote:
> Timur Tabi wrote:
>> They only problem I see with this is that I am thinking about modifying
>> the drivers/dma driver to probe on "fsl,eloplus-dma-channel" channels
>> directly.  If I do that, then who should call of_platform_populate()?
> 
> Grant, could you tell me if there's anything actually work with my patch?
>  All I'm doing is adding a couple more commonly used entries to
> mpc85xx_common_ids[].  After all, they're common IDs, so don't they belong
> into an array called common_ids?
> 
> I've been waiting for months for this problem to be fixed, and 3.3 is
> broken without it.  We've already established that you cannot actually
> call of_platform_bus_probe() twice on the same level, so it's not like my
> patch description is wrong or anything.
> 

-- 
Timur Tabi
Linux kernel developer at Freescale